API reference OpenAPI 3.1
POST /verify/sessions/{id}:skip-address

Skip the address leg with a recorded reason (X-Verify-Token)

Bearer API key or staff session application/json operation skipVerifyAddress

Parameters

NameInTypeRequiredDescription
id path string Yes —

Request

Content type: application/json

FieldTypeRequiredDescription
reason string No default "I declined"
address_text string No —
curl -X POST "$MONICHEK_API/verify/sessions/{id}:skip-address" \
  -H "Authorization: Bearer $MONICHEK_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "reason": "I declined",
  "address_text": "string"
}'
const res = await fetch(`${MONICHEK_API}/verify/sessions/{id}:skip-address`, {
  method: "POST",
  headers: {
    Authorization: `Bearer ${MONICHEK_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "reason": "I declined",
    "address_text": "string"
  }),
});

const data = await res.json();
import os
import requests

res = requests.post(
    f"{os.environ['MONICHEK_API']}/verify/sessions/{id}:skip-address",
    headers={"Authorization": f"Bearer {os.environ['MONICHEK_API_KEY']}"},
    json={
      "reason": "I declined",
      "address_text": "string"
    },
)
print(res.json())
$ch = curl_init(getenv('MONICHEK_API') . '/verify/sessions/{id}:skip-address');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('MONICHEK_API_KEY'),
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode([
        'reason' => 'I declined',
        'address_text' => 'string',
    ]),
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Replace {id} with the resource id.

Responses

200 OK completed session with verification_state skipped; linked customers above tier1 get a proof-of-address EDD case application/json
{
  "object": "verify_result",
  "status": "completed",
  "session_id": "vs_01M3R...",
  "combined_decision": "approved",
  "address_verification_state": "skipped"
}

Error responses

StatusMeaningBody
401 Unauthorized RFC 9457 problem
409 Conflict RFC 9457 problem

Errors use the RFC 9457 problem format with a stable code.